Loading...
Searching...
No Matches
ExtendFindEnum< IM >::ClassIt Class Reference

## Detailed Description

template<typename IM>
class lemon::ExtendFindEnum< IM >::ClassIt

ClassIt is a lemon style iterator for the components. It iterates on the ids of classes.

`#include <lemon/unionfind.h>`

## Public Member Functions

| ClassIt (const ExtendFindEnum &ufe)
| Constructor of the iterator.
| ClassIt (Invalid)
| Constructor to get invalid iterator.
ClassIt & | operator++ ()
| Increment operator.
| operator int () const
| Conversion operator.
bool | operator== (const ClassIt &i)
| Equality operator.
bool | operator!= (const ClassIt &i)
| Inequality operator.

## Constructor & Destructor Documentation

## ClassIt() [1/2]

template<typename IM>

ClassIt | ( | const ExtendFindEnum & | ufe | ) |

inline

Constructor of the iterator

## ClassIt() [2/2]

template<typename IM>

ClassIt | ( | Invalid |  | ) |

inline

Constructor to get invalid iterator

## Member Function Documentation

## operator++()

template<typename IM>

ClassIt & operator++ | ( |  | ) |

inline

It steps to the next representant item.

## operator int()

template<typename IM>

operator int | ( |  | ) | const

inline

It converts the iterator to the current class id.

## operator==()

template<typename IM>

bool operator== | ( | const ClassIt & | i | ) |

inline

Equality operator

## operator!=()

template<typename IM>

bool operator!= | ( | const ClassIt & | i | ) |

inline

Inequality operator